maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hervé Boutemy (JIRA) <j...@apache.org>
Subject [jira] [Updated] (MCOMPILER-335) Update default source/target from 1.5 to 1.6
Date Sat, 28 Jul 2018 19:41:00 GMT

     [ https://issues.apache.org/jira/browse/MCOMPILER-335?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Hervé Boutemy updated MCOMPILER-335:
------------------------------------
    Summary: Update default source/target from 1.5 to 1.6  (was: Update default source/target)

> Update default source/target from 1.5 to 1.6
> --------------------------------------------
>
>                 Key: MCOMPILER-335
>                 URL: https://issues.apache.org/jira/browse/MCOMPILER-335
>             Project: Maven Compiler Plugin
>          Issue Type: Improvement
>    Affects Versions: 3.7.0
>            Reporter: Fred Bricon
>            Assignee: Robert Scholte
>            Priority: Major
>             Fix For: 3.7.1
>
>
> default source/target have been set to 1.5 in 2010 (MCOMPILER-80). I think it's about
time to update the default.
> 1.8 would be my preference, as 9 /10 would probably be a tad too ambitious.
> But, since Maven requires at least Java 1.7 to run, 1.7 is probably the safest option.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message